using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class KnockBackHouse : Obstacle {
	public int power = 15;
	public GameObject explosion;

	//Knock back the player on collision
	void OnTriggerEnter(Collider col){
		Trigger (col);
		if (col.tag == "Player") {
			col.GetComponent<Rigidbody> ().AddForce (-Vector3.forward * power, ForceMode.Impulse);
		}
	}

	//break behaviour, called when hit by back wave
	public override void Break(){
	}
}
